# Interface methods for submodule: JPEG2000ImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import StreamingImageIOBaseProxy as _StreamingImageIOBaseProxy


# Interface methods for class: JPEG2000ImageIO
class JPEG2000ImageIOProxy(_StreamingImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

	def GenerateStreamableReadRegionFromRequestedRegion(self, requestedRegion):
		""""""
		...

	def GetHeaderSize(self) -> int:
		""""""
		...

	def SetTileSize(self, x: int, y: int) -> None:
		""""""
		...

	def CanStreamWrite(self) -> bool:
		""""""
		...

